## onnxscript 0.2.0+dfsg

=== requirements/lintrunner/requirements.txt ===
# This file is auto updated by dependabot
lintrunner-adapters>=0.8.0
# RUFF, RUFF-FIX
ruff==0.9.6
# MYPY
mypy==1.10.1
types-PyYAML==6.0.12.20241230
# PYLINT
pylint==3.3.3
# EDITORCONFIG-CHECKER
editorconfig-checker==3.2.0

=== debian/changelog ===
onnxscript (0.2.0+dfsg-1) experimental; urgency=medium

  * Initial release. (Closes: #1092897)

 -- Mo Zhou <lumin@debian.org>  Sat, 22 Mar 2025 16:35:37 -0400

=== debian/control ===
Source: onnxscript
Section: python
Homepage: https://github.com/microsoft/onnxscript
Priority: optional
Standards-Version: 4.7.0
Vcs-Git: https://salsa.debian.org/deeplearning-team/onnxscript.git
Vcs-Browser: https://salsa.debian.org/deeplearning-team/onnxscript
Maintainer: Debian Deep Learning Team <debian-ai@lists.debian.org>
Uploaders: Mo Zhou <lumin@debian.org>
Build-Depends: debhelper-compat (= 13),
               dh-python,
               python3-all,
               python3-ml-dtypes,
               python3-numpy,
               python3-onnx,
               python3-onnxruntime,
               python3-parameterized,
               python3-pip,
               python3-pytest,
               python3-setuptools,
               python3-torch <!nocheck>,
               python3-torchvision <!nocheck>,
               libopenblas0 <!nocheck>,

Package: python3-onnxscript
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Description: naturally author ONNX functions and models using a subset of Python
 ONNX Script enables developers to naturally author ONNX functions and models
 using a subset of Python. ONNX Script is:
 .
  * Expressive: enables the authoring of all ONNX functions.
  * Simple and concise: function code is natural and simple.
  * Debuggable: allows for eager-mode evaluation that provides for a more
    delightful ONNX model debugging experience.
 .
 This repo also covers:
 .
  * ONNX IR: an in-memory IR that supports the full ONNX spec, designed for
    graph construction, analysis and transformation.
  * ONNX Script Optimizer: provides functionality to optimize an ONNX model
    by performing optimizations and clean-ups such as constant folding, dead
    code elimination, etc.
  * ONNX Rewriter: provides functionality to replace certain patterns in an
    ONNX graph with replacement patterns based on user-defined rewrite rules.
 .
 Note however that ONNX Script does not intend to support the entirety of
 the Python language.

=== debian/rules ===
#!/usr/bin/make -f
export PYBUILD_NAME=onnxscript
export PYBUILD_TEST_ARGS=-v --ignore=tests/optimizer/test_models.py --ignore=onnxscript/backend/onnx_export_test.py --ignore=tests/ir/serde_roundtrip_test.py -k "not test_models and not test_enumerate_onnx_tests and not test_output_match_opinfo and not test_it_can_be_serialized_as_graph_proto and not test_smollm" 
%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_test:
	true

=== debian/tests/control ===
Test-Command: pytest-3 -v tests
Depends: @, python3-pytest, python3-torch
Restrictions: allow-stderr

=== debian/watch ===
version=4
opts=\
dversionmangle=s/\+dfsg\d*$//,\
repacksuffix=+dfsg,\
filenamemangle=s%.*/@ANY_VERSION@%@PACKAGE@-$1.tar.gz%,\
downloadurlmangle=s%(api.github.com/repos/[^/]+/[^/]+)/git/refs/%$1/tarball/refs/%g,\
searchmode=plain \
https://api.github.com/repos/microsoft/onnxscript/git/matching-refs/tags/ \
https://api.github.com/repos/[^/]+/[^/]+/git/refs/tags/@ANY_VERSION@
